uk.co.mruoc.http.client

## Class Request.RequestBuilder

- java.lang.Object
- - uk.co.mruoc.http.client.Request.RequestBuilder

Enclosing class:
  Request

    public static class Request.RequestBuilder
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`RequestBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Request` `build()`
`Request.RequestBuilder` `setBody(java.lang.String body)`
`Request.RequestBuilder` `setHeaders(Headers headers)`
`Request.RequestBuilder` `setMethod(Method method)`
`Request.RequestBuilder` `setUri(java.lang.String uri)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RequestBuilder

    public RequestBuilder()

### Method Detail

#### setUri

    public Request.RequestBuilder setUri(java.lang.String uri)

#### setMethod

    public Request.RequestBuilder setMethod(Method method)

#### setBody

    public Request.RequestBuilder setBody(java.lang.String body)

#### setHeaders

    public Request.RequestBuilder setHeaders(Headers headers)

#### build

    public Request build()